POST
/oneaster/v1/billing/nowpayments/orders身份验证
Authorizationstring必填使用登录取得的 native access_token(部分接口支持带对应权限的 PAT);身份要求:登录 access_token。
Authorization: Bearer $ONEASTER_ACCESS_TOKEN
参数
Idempotency-Keystring必填header
请求正文 · application/json
amount_usd_centsstring必填pay_currencystringfee_modestring,nulldeduct credits verified net outcome using the original quote; on_top asks payer to pay fees and fixed rate, credits full principal only on a verified finished full payment. Immutable per order.
JSON Schema
{
"type": "object",
"required": [
"amount_usd_cents"
],
"additionalProperties": false,
"properties": {
"amount_usd_cents": {
"type": "string",
"pattern": "^[1-9][0-9]*$"
},
"pay_currency": {
"type": "string"
},
"fee_mode": {
"type": [
"string",
"null"
],
"enum": [
"deduct",
"on_top",
null
],
"default": "deduct",
"description": "deduct credits verified net outcome using the original quote; on_top asks payer to pay fees and fixed rate, credits full principal only on a verified finished full payment. Immutable per order."
}
}
}